package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.scene.entity.Scene;
import com.fdkankan.scene.vo.SceneEditParamVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface ISceneAppService extends IService<Scene> {

    int saveInitialPage(SceneEditParamVO base) throws Exception;

    int saveFloorLogo(SceneEditParamVO base) throws Exception;

    int saveHot(SceneEditParamVO base) throws Exception;

    int saveBackgroundMusic(SceneEditParamVO base) throws Exception;

    int saveSceneInfo(SceneEditParamVO base) throws Exception;

    int saveSceneKey(SceneEditParamVO base) throws Exception;

    int saveTourList(SceneEditParamVO base) throws Exception;

    Object uploadPic(String sceneNum, String folderName, MultipartFile file) throws IOException;

    Object uploadScreencapVoice(String sceneNum, MultipartFile file) throws IOException;

    int saveScreencapFile(SceneEditParamVO base) throws Exception;

    int saveHotVisible(SceneEditParamVO base) throws Exception;

    int saveLinkPano(SceneEditParamVO base) throws Exception;

    Object getRecordAudioFromWeixin(SceneEditParamVO base) throws Exception;
}
